# Examples

Below are a list of examples that demonstrate the capabilities of `redux-form` for testing and
learning purposes.

Each example is its own standalone web app with hot reloading. To run them locally, clone the 
`redux-form` repository, `cd` into an example folder, and run `npm install` and `npm start`. Then
open [`localhost:3030`](http://localhost:3030) in your browser.

---

### [Simple Form](simple)

> The simplest form. Demonstrates how to attach standard inputs to Redux.

---
  
### [Synchronous Validation](syncValidation)

> How to add synchronous client-side validation to your form.

---
  
### [Submit Validation](submitValidation)

> How to return server-side validation errors back from your submit function.

---
  
### [Aynchronous Blur Validation](asyncValidation)

> How to run asynchronous server-side validation on your form when certain fields lose focus.

---
  
### [Initializing From State](initializeFromState)

> How to initialize your form data from any slice of the Redux state.

---

### [Immutable JS](immutable)

> How to use Immutable JS for `redux-form` state storage.

---
  
